## cl-asdf 3.1.6

=== Makefile ===
# Configuring this Makefile for your personal use:
# Set environment variable ASDF_TEST_LISPS to a space-separated list of values
# (see "defaultlisps" below, for an example).
# If you have a special way to find libraries that are used in the build and
# test process, you may bind ASDF_DEVEL_SOURCE_REGISTRY to a source registry to
# use (using the environment variable syntax), or bind it to "override" to use
# your normal CL source registry. Otherwise, it will use local copies of
# everything.

system	 	:= "asdf"
webhome_private := common-lisp.net:/project/asdf/public_html/
webhome_public	:= "http://common-lisp.net/project/asdf/"
clnet_home      := "/project/asdf/public_html/"
sourceDirectory := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

#### Common Lisp implementations available for testing.
## export ASDF_TEST_LISPS to override the default list of such implementations,
## or specify a lisps= argument at the make command-line
defaultLisps = ccl clisp sbcl ecl ecl_bytecodes cmucl abcl scl allegro lispworks allegromodern gcl xcl mkcl
ifdef ASDF_TEST_LISPS
lisps ?= ${ASDF_TEST_LISPS}
else
lisps ?= ${defaultLisps}
endif
ifdef ASDF_UPGRADE_TEST_LISPS
  ulisps ?= ${ASDF_UPGRADE_TEST_LISPS}
else
  ifdef ASDF_TEST_LISPS
    ulisps ?= ${ASDF_TEST_LISPS}
  else
    ulisps ?= ${defaultLisps}
  endif
endif


## grep for #+/#- features in the test/ directory to see plenty of disabled tests on some platforms
## NOT SUPPORTED BY OUR AUTOMATED TESTS:
##	cormancl genera lispworks-personal-edition rmcl
## Some are manually tested once in a while.
ifdef ASDF_TEST_SYSTEMS
s ?= ${ASDF_TEST_SYSTEMS}
endif

ifdef ASDF_DEVEL_SOURCE_REGISTRY
ifeq ($(ASDF_DEVEL_SOURCE_REGISTRY), override)
# do nothing... Use the user's CL_SOURCE_REGISTRY
else
export CL_SOURCE_REGISTRY = ${ASDF_DEVEL_SOURCE_REGISTRY}
endif
else # no ASDF_DEVEL_SOURCE_REGISTRY
export CL_SOURCE_REGISTRY = ${sourceDirectory}/:${sourceDirectory}/uiop/:${sourceDirectory}/ext//:
endif

l ?= sbcl

ABCL ?= abcl
ALLEGRO ?= alisp
ALLEGROMODERN ?= mlisp
CCL ?= ccl
CLISP ?= clisp
CMUCL ?= cmucl
ECL ?= ecl
GCL ?= gcl
LISPWORKS ?= lispworks
MKCL ?= mkcl
SBCL ?= sbcl
SCL ?= scl
XCL ?= xcl

header_lisp := header.lisp
driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/run-program.lisp uiop/lisp-build.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
defsystem_lisp := upgrade.lisp component.lisp system.lisp cache.lisp find-system.lisp find-component.lisp operation.lisp action.lisp lisp-action.lisp plan.lisp operate.lisp output-translations.lisp source-registry.lisp parse-defsystem.lisp bundle.lisp concatenate-source.lisp package-inferred-system.lisp backward-internals.lisp backward-interface.lisp interface.lisp user.lisp footer.lisp
all_lisp := $(header_lisp) $(driver_lisp) $(defsystem_lisp)

# Making ASDF itself should be our first, default, target:
build/asdf.lisp: $(all_lisp)
	mkdir -p build
	rm -f $@
	cat $(all_lisp) > $@

ext:
	git submodule update --init

noext:
	git submodule deinit .

# This quickly locates such mistakes as unbalanced parentheses:
load: build/asdf.lisp
	./test/run-tests.sh -t $l $(all_lisp)

install: archive

bump: bump-version
	git commit -a -m "Bump version to $$(eval a=$$(cat version.lisp-expr) ; echo $$a)"
	temp=$$(cat version.lisp-expr); temp="$${temp%\"}"; temp="$${temp#\"}"; git tag $$temp

bump-version: build/asdf.lisp
	./bin/asdf-builder bump-version ${v}

driver-files:
	@echo $(driver_lisp)

defsystem-files:
	@echo $(defsystem_lisp)

archive: build/asdf.lisp
	./bin/asdf-builder make-and-publish-archive

### Count lines separately for asdf-driver and asdf itself:
wc:
	@wc $(driver_lisp) | sort -n ; echo ; \
	wc $(header_lisp) $(defsystem_lisp) | sort -n ; \
	echo ; \
	wc $(header_lisp) $(driver_lisp) $(defsystem_lisp) | tail -n 1

push:
	git status
	git push --tags cl.net release master
	git push --tags github release master
	git fetch
	git status

# doc:
# 	${MAKE} -C doc
# don't have the toolchain to build docs installed...
doc: ;
website:
	${MAKE} -C doc website

clean_dirs = $(sourceDirectory)
clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl ufasl o bak x86f vbin amd64f sparcf sparc64f hpf hp64f

clean:
	@for dir in $(clean_dirs); do \
	     if test -d $$dir; then \
	     	 echo Cleaning $$dir; \
		 for ext in $(clean_extensions); do \
		     find $$dir \( -name "*.$$ext" \) \
	     	    -and -not -path \""*/.git/*"\" \
		     	  -and -not -path \""*/_darcs/*"\" \
	     		  -and -not -path \""*/tags/*"\" -print -delete; \
		done; \
	     fi; \
	done
	rm -rf build/ LICENSE test/try-reloading-dependency.asd test/hello-world-example asdf.lisp
	rm -rf test/hello-world-example.exe test/mkcl_*.dll # needed only on MS-Windows
	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap
	${MAKE} -C doc clean

mrproper:
	git clean -xfd

test-upgrade: build/asdf.lisp
	./test/run-tests.sh -u ${l}
u: test-upgrade

test-clean-load: build/asdf.lisp
	./test/run-tests.sh -c ${l}

# test-glob has been replaced by t, and lisp by l, easier to type
test-lisp: build/asdf.lisp
	@cd test; ./run-tests.sh ${l} ${t}
t: test-lisp

test: doc test-lisp test-clean-load test-load-systems

test-load-systems: build/asdf.lisp
	./test/run-tests.sh -l ${l} ${s}

test-all-lisps: test-load-systems test-all-clean-load test-all-lisp test-all-upgrade

test-all-clean-load:
	@for lisp in ${lisps} ; do ${MAKE} test-clean-load l=$$lisp || exit 1 ; done

test-all-lisp:
	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp || exit 1 ; done

test-all-upgrade:
	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp || exit 1 ; done

test-all-no-upgrade: doc test-load-systems test-all-clean-load test-all-lisp

test-all: test-all-no-upgrade test-all-upgrade

test-all-lisp-no-stop:
	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp ; done ; :

test-all-upgrade-no-stop:
	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp ; done ; :

test-all-no-upgrade-no-stop: doc test-load-systems test-all-clean-load test-all-lisp-no-stop
	make --quiet check-all-test-results

test-all-no-stop: doc test-load-systems test-all-clean-load test-all-lisp-no-stop test-all-upgrade-no-stop
	make --quiet check-all-results

check-all-test-results:
	@A="`grep -L '[5-9][0-9] passing and 0 failing' build/results/*-test.text`" ; \
	if [ -n "$$A" ] ; then \
		echo "Unexpected test failures on these implementations:" ; \
		echo "$$A" ; \
		exit 1 ; \
	fi

check-all-upgrade-results:
	@A="`grep -L 'Upgrade test succeeded for ' build/results/*-upgrade.text`" ; \
	if [ -n "$$A" ] ; then \
		echo "Unexpected upgrade failures on these implementations:" ; \
		echo "$$A" ; \
		exit 1 ; \
	fi

check-all-results:
	@r=0 ; \
	make --quiet check-all-test-results || r=1 ; \
	make --quiet check-all-upgrade-results || r=1 ; \
	exit $r

extract: extract-all-tagged-asdf
extract-all-tagged-asdf: build/asdf.lisp
	./test/run-tests.sh -H

# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
debian-package:
	./bin/asdf-builder debian-package release

debian-package-from-master:
	./bin/asdf-builder debian-package master


# Replace SBCL's ASDF with the current one. -- NOT recommended now that SBCL has ASDF2.
# for casual users, just use (asdf:load-system :asdf)
replace-sbcl-asdf: build/asdf.lisp
	${SBCL} --eval '(compile-file "$<" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'

# Replace CCL's ASDF with the current one. -- NOT recommended now that CCL has ASDF2.
# for casual users, just use (asdf:load-system :asdf)
replace-ccl-asdf: build/asdf.lisp
	${CCL} --eval '(progn(compile-file "$<" :output-file (compile-file-pathname (format nil "~Atools/asdf.lisp" (ccl::ccl-directory))))(quit))'

WRONGFUL_TAGS := 1.37 1.1720 README RELEASE STABLE emp # It's not 1.37, it's 1.85! 1.37 is for the README.
# Delete wrongful tags from local repository
fix-local-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done

# Delete wrongful tags from remote repository
fix-remote-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done

release-push:
	git checkout master
	git merge release
	git checkout release
	git merge master
	git checkout master

TODO:
	exit 2

release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists

.PHONY: install archive push doc website clean mrproper \
	test-forward-references test test-lisp test-upgrade test-forward-references \
	test-all test-all-lisps test-all-no-upgrade \
	debian-package release \
	replace-sbcl-asdf replace-ccl-asdf \
	fix-local-git-tags fix-remote-git-tags wc wc-driver wc-asdf \
	list-source-registry \
	ext noext

# debug the source registry that will be used to execute commands from this Makefile.
list-source-registry:
	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'

# RELEASE or PUSH checklist:
# make test-all
# make test-load-systems s=fare-all
# make bump v=3.0
# edit debian/changelog # RELEASE only...
# git commit
# git tag 3.0 # for example ...
# make debian-package
# git push
# git push origin 3.0 # for example...
# everything from here for RELEASE only
# make release-push archive website debian-package
# dput mentors ../*.changes
# send debian mentors request
# send announcement to asdf-announce, asdf-devel, etc.
# Move all fixed bugs from Fix Committed -> Fix Released on launchpad
#
## Users don't release as above, only maintainers do.
## Users, all you need to do is: make
## Vendors, you may want to test your implementation with: make test l=sbcl

=== debian/changelog ===
cl-asdf (2:3.1.6-1) unstable; urgency=low

  Package changes:
  * New uploader in control file
  * lintian-overrides for 2 script files which have a magic comment
    for invoking cl-launch
  * convert to short format dh
  * add a Vcs-Browser field
  * bump d/compat to 9
  New upstream release:
  * Fix backtrace on SBCL.
  * Fix RUN-PROGRAM of string (shell command) on Windows SBCL (ticket
    #1501373).
  * Fix a number of issues with bundle operations (especially on
    non-C-compiler-based implementations).
  * Fix component-finding in package-inferred-system.
  * Fix race condition between multiple concurrent lisp processes
    doing ASDF builds (ticket #1483948).
  * Fix misplaced fasl cache on Windows.
  * Miscellaneous bug fixes.
  * Documentation improvements.

 -- Kambiz Darabi <darabi@m-creations.net>  Mon, 29 Feb 2016 23:21:12 +0100

cl-asdf (2:3.1.5-1) unstable; urgency=low

  Bug fix and portability release:
  * Add immutable-system support (thanks to Dave Cooper).  This support
    should be regarded as preliminary and subject to change.
  * Substantially improved operation on Windows: many bugfixes and improve-
    ments to UIOP functions that interface with the operating system.
  * Add CLASP support.
  * Many miscellaneous fixes for issues on individual implementations,
    notably UIOP incompatibility introduced by SBCL 1.2.12, support for
    LispWorks 7 character types, fixes to chdir on ABCL, improvements
    to run-program on Windows.
  * Added OS-COND to UIOP to paper over some incompatibilities about when
    and how operating system can be detected on different implementations.
    Made OS predicates run test at runtime so you can bind *features* from
    a target system and determine its OS.
  * Fixes to XDG configuration directory handling.  Try to stick to the
    XDG spec, rather than guessing what it should be on different platforms.
    To recognize this, change UIOP functions about XDG files to "XDG-"
    prefixes.
  * Documentation improvements.

 -- François-René Rideau <fare@tunes.org>  Sat, 18 Jul 2015 16:51:50 -0500

cl-asdf (2:3.1.4-1) unstable; urgency=low

  [ Robert P. Goldman ]
  Bug fix release:
  * Remove compatibility stubs for old bundle classes (not working
    properly, anyway), these are now available in a contrib.
  * Add INPUT-STRING function to UIOP.
  * For developer and tester convenience, bring all the external
    dependencies into the git repo as submodules. See target make ext
  * Optionally speed up registry search by providing a cache for
    the SOURCE-REGISTRY. See the cache-generating script in:
      asdf/tools/cl-source-registry-cache.lisp
  * Fixes to tests and documentation.
  * Many minor bugfixes.

 -- François-René Rideau <fare@tunes.org>  Thu, 09 Oct 2014 21:18:21 -0400

cl-asdf (2:3.1.3-1) unstable; urgency=low

  Bug fix release:
  * A bug in 3.1.2 caused errors when hot-upgrading from 3.1.2 ASDF.
  * Fix bugs in ASDF component search caching. In some circumstances,
    aggressive caching (particularly of negative results) interfered with
    error-handling through restarts.  Also, in some cases use of caching
    interfered with error-checking. Some of these issues are discussed in
    ticket #1335323 on launchpad.
  * Miscellaneous bug fixes and tweaks to UIOP.
  * Documentation improvements.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 14 Jul 2014 16:54:49 -0400

cl-asdf (2:3.1.2-2) unstable; urgency=low

  New release:
  * ~/common-lisp/ is now present by default in the source-registry, so
    you don't need to configure anything if you put source code there.
  * package-inferred-system implements the one-file, one-package, one-system
    paradigm of quick-build and faslpath as an extension to ASDF 3.
  * non-propagating-operation replaces OPERATION for operations as a base class
    to inherit from for operations that do not propagate,
    whereas for backward compatibility with ASDF 1 and 2,
    subclasses of OPERATION implicitly propagate DOWNWARD and SIDEWAYs.
    Failure to explicitly inherit from one of the explicitly propagating
    or non-propagating classes will result in a WARNING for now.
  * Accept strings as operation class designators in DEFSYSTEM, which
    provides better integration of ASDF extensions loaded using
    DEFSYSTEM-DEPENDS-ON.
  * force-not now takes precedence over force, and systems named in the
    *immutable-systems* set (represented as an equal hash-table) are always
    forced-not, and even their .asd is not refreshed from the filesystem.
  * portability is much improved, with support for the latest GCL, and
    fixes for ABCL, CLISP, ECL, LispWorks, MKCL, SBCL, XCL, etc.
  * bundle support was refactored, with many fixes to previously uncommon cases.
    ECL support is fixed, MKCL added, with a common extension to build programs
    without pulling in UIOP and with it the compiler.
    image-op was added to create heap images for use with e.g. cl-launch.
    load-fasl-op was renamed to load-bundle-op, fasl-op to compile-bundle-op,
    binary-op to deliver-asd-op, and so forth for the monolithic- variants;
    previous names remain available for backward compatibility.
  * robustness: Test improvements and new tests.
    Added missing dependencies in asdf.asd itself(!).
    Fixes to version-satisfies (thanks to stassats), to the file-stamp cache.
    Fix to regression from 3.0.2.12 whereby ASDF failed to avoid downgrading.
    Many cleanups. Many explanatory updates to source code comments.
  * run-program tweaked again, notably on Windows, on CLISP, and
    on implementations without a native run-program. On Windows, we
    punt on trying to ensure no final space is ever echo'ed by CMD.EXE " ".
  * provide both "asdf" and "ASDF" to play nicer with various Lisps.
  * upgrading from a sufficiently forward-compatible version (currently: 2.33)
    will be less disruptive of ASDF data and enhancements in the current image:


=== debian/control ===
Source: cl-asdf
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@zamazal.org>,
  Christoph Egger <christoph@debian.org>,
  Julien Danjou <acid@debian.org>,
  François-René Rideau <fare@tunes.org>,
  Robert P. Goldman <rpgoldman@sift.info>,
  Kambiz Darabi <darabi@m-creations.net>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
Standards-Version: 3.9.7
Homepage: http://common-lisp.net/project/asdf/
Vcs-Git: https://gitlab.common-lisp.net/asdf/asdf.git
Vcs-Browser: https://gitlab.common-lisp.net/asdf/asdf

Package: cl-asdf
Architecture: all
Recommends: common-lisp-controller, sbcl | lisp-compiler
Breaks: common-lisp-controller (<= 7.3)
Depends: ${misc:Depends}
Suggests: cl-launch (>= 4.1)
Description: Another System Definition Facility
 ASDF provides the functionality of make and ld.so for Common Lisp software:
 It drives compilation and dynamic loading for complex Lisp systems
 with multiple modules and files, and is the de facto standard used
 by free software written in Common Lisp.
 .
 It also includes a utility library, UIOP, to portably deal with many issues
 that all Common Lisp programs have to deal with, including handling pathnames,
 accessing the filesystem, executing external programs, user configuration, etc.
 .
 Most Common Lisp implementations already provide asdf via (require "asdf"),
 but not all of them provide an up-to-date version.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C doc all
	ln -sf build/asdf.lisp .

# extensive tests are performed before release of the orig.tgz on
# different implementations, so we don't need to perform any tests
override_dh_auto_test:

# do not invoke make install: it tries to upload the tarball to
# common-lisp.net
override_dh_auto_install:

=== debian/watch ===
# As long as I (Faré) am in the loop,
# I can maintain the debian package directly in the upstream git.
# But when I'm gone, anything goes.
version=3
http://common-lisp.net/project/asdf/archives/ asdf-([0-9.]+)\.tar\.gz

## cl-asdf 3.1.7

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,10 @@
   endif
 endif
 
+version := $(shell cat "version.lisp-expr")
+#$(info $$version is [${version}])
+version := $(patsubst "%",%,$(version))
+#$(info $$version is [${version}])
 
 ## grep for #+/#- features in the test/ directory to see plenty of disabled tests on some platforms
 ## NOT SUPPORTED BY OUR AUTOMATED TESTS:
@@ -95,7 +99,7 @@
 	temp=$$(cat version.lisp-expr); temp="$${temp%\"}"; temp="$${temp#\"}"; git tag $$temp
 
 bump-version: build/asdf.lisp
-	./bin/asdf-builder bump-version ${v}
+	./bin/bump-version ${v}
 
 driver-files:
 	@echo $(driver_lisp)
@@ -103,8 +107,27 @@
 defsystem-files:
 	@echo $(defsystem_lisp)
 
+# FIXME: needs rewrite
+#archive: build/asdf.lisp
+#	./bin/asdf-builder make-and-publish-archive
 archive: build/asdf.lisp
-	./bin/asdf-builder make-and-publish-archive
+	mkdir -p build/uiop 	# UIOP tarball
+	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} build/uiop/
+	tar zcf "build/uiop-${version}.tgz" -C build uiop
+	rm -r build/uiop
+	mkdir -p build/asdf # asdf-defsystem tarball
+	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/asdf/
+	tar zcf "build/asdf-defsystem-${version}.tgz" -C build asdf
+	rm -r build/asdf
+	git archive --worktree-attributes --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
+	gzip "build/asdf-${version}.tar"
+	mv "build/asdf-${version}.tar.gz" "build/asdf-${version}.tgz"
+	cp "build/asdf.lisp" "build/asdf-${version}.lisp"
+
+publish-archive:
+	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tgz" "build/asdf-defsystem-${version}.tgz" \
+"build/asdf-${version}.tgz" "build/asdf-${version}.lisp" common-lisp.net:/project/asdf/public_html/archives
+	ssh common-lisp.net "cd /project/asdf/public_html; ln -sf archives/uiop-${version}.tgz uiop.tgz; ln -sf archives/asdf-defsystem-${version}.tgz asdf-defsystem.tgz; ln -sf archives/asdf-${version}.tgz asdf.tgz; ln -sf archives/asdf-${version}.lisp asdf.lisp"
 
 ### Count lines separately for asdf-driver and asdf itself:
 wc:
@@ -133,12 +156,12 @@
 clean:
 	@for dir in $(clean_dirs); do \
 	     if test -d $$dir; then \
-	     	 echo Cleaning $$dir; \
+		 echo Cleaning $$dir; \
 		 for ext in $(clean_extensions); do \
 		     find $$dir \( -name "*.$$ext" \) \
-	     	    -and -not -path \""*/.git/*"\" \
-		     	  -and -not -path \""*/_darcs/*"\" \
-	     		  -and -not -path \""*/tags/*"\" -print -delete; \
+		    -and -not -path \""*/.git/*"\" \
+			  -and -not -path \""*/_darcs/*"\" \
+			  -and -not -path \""*/tags/*"\" -print -delete; \
 		done; \
 	     fi; \
 	done
@@ -220,26 +243,7 @@
 extract-all-tagged-asdf: build/asdf.lisp
 	./test/run-tests.sh -H
 
-# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
-# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
-debian-package:
-	./bin/asdf-builder debian-package release
-
-debian-package-from-master:
-	./bin/asdf-builder debian-package master
-
-
-# Replace SBCL's ASDF with the current one. -- NOT recommended now that SBCL has ASDF2.
-# for casual users, just use (asdf:load-system :asdf)
-replace-sbcl-asdf: build/asdf.lisp
-	${SBCL} --eval '(compile-file "$<" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'
-
-# Replace CCL's ASDF with the current one. -- NOT recommended now that CCL has ASDF2.
-# for casual users, just use (asdf:load-system :asdf)
-replace-ccl-asdf: build/asdf.lisp
-	${CCL} --eval '(progn(compile-file "$<" :output-file (compile-file-pathname (format nil "~Atools/asdf.lisp" (ccl::ccl-directory))))(quit))'
-
-WRONGFUL_TAGS := 1.37 1.1720 README RELEASE STABLE emp # It's not 1.37, it's 1.85! 1.37 is for the README.
+
 # Delete wrongful tags from local repository
 fix-local-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done
@@ -270,8 +274,8 @@
 	ext noext
 
 # debug the source registry that will be used to execute commands from this Makefile.
-list-source-registry:
-	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'
+#list-source-registry:
+#	${sourceDirectory}/bin/asdf-builder re '(uiop:writeln (sort (alexandria:hash-table-alist asdf::*source-registry*) `string< :key `car))'
 
 # RELEASE or PUSH checklist:
 # make test-all

=== debian/changelog ===
cl-asdf (2:3.1.7-1~pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-cl-asdf-source-distribution=wheezy-
    2, Debian unstable source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 15 May 2016 10:38:20 +0200

cl-asdf (2:3.1.7-1) unstable; urgency=medium

  Package changes:
  * temporary fix for upstream 'make clean' deleting debian/patches

  New upstream release:

  * Fix compilation on Genera.
  * Fix UIOP:FILE-EXISTS-P for dotfiles on CCL.
  * Fix infinite loop in source registry configuration that can occur when
        there are cycles in the filesystem (typically caused by symlinks)
        on some CL implementations.
  * Miscellaneous bug fixes.
  * Documentation improvements.
  * Restore original Makefile.

 -- Kambiz Darabi <darabi@m-creations.net>  Thu, 24 Mar 2016 12:12:25 +0100

## cl-asdf 3.3.0

=== debian/changelog ===
cl-asdf (2:3.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Kambiz Darabi ]
  Package changes:

  * Update Standards-Version to 4.1.1
  * README.Debian now contains correct URLs and source file paths,
    closes: #873035
  * Remove patches which were applied upstream

  New upstream milestone 3.3.0:

  * Build-plan: Extensively revised the build plan process so that
    :DEFSYSTEM-DEPENDS-ON would work correctly, even when depended on systems
    change (which didn't work before). See our ELS demonstration about it:
    "Delivering Common Lisp Applications with ASDF 3.3"
    < https://github.com/fare/asdf2017 >
  * Internals: to support the above, many ASDF internals have changed.
    ASDF now has the notion of multiple build phases to a common build session
    (which generalizes the previous build cache). ASDF considers loading a .asd
    file as an operation DEFINE-OP, and tracks as dependencies files mentioned
    during in :LOAD-FILE-FORM statements, etc. Some code has moved to new
    files or among old files, and between packages. Actions are now
    uniformly represented as a CONS of an OPERATION and a COMPONENT, where
    in some cases previously only the class of the operation was
    preserved. Forcing is constrained to be uniform across all phases of a
    top level ASDF operation invocation. Fixed the protocol for
    resetting systems being (re)defined, allowing subclasses to define
    default slot values. Remove *LOAD-SYSTEM-OPERATION*, as the current
    maintainer of ECL, for which it was originally designed, decided
    that it could never be made to work properly, after all.
  * ASDF&UIOP: Tweak dependencies between ASDF and UIOP. To avoid DEFINE-OP
    circularity, asdf.asd with no longer causes uiop.asd to be loaded.
    A standalone UIOP won't be loaded at all unless it's strictly more recent
    than ASDF.
  * Tests: tests for new capabilities and bugs. Test backtraces can be disabled.
  * Documentation: a number of improvements and clarifications.
  * Feature: a new feature :asdf3.3
  * ECL: restored the deprecated function MAKE-BUILD, removed in 3.2.0,
    in a way that works on top of supported APIs (we still recommend you migrate
    to these supported APIs). Also stop using the deprecated COMPUTE-INIT-NAME.
  * Deprecation: starting to emit STYLE-WARNINGs for deprecated
    functions.  Will gradually escalate to true WARNINGs and then ERRORs.

  New upstream release 3.2.0:

  * launch-program: new UIOP API for asynchronous subprocesses, now available
    on: abcl allegro clozure cmucl ecl (and lispworks os-unix) mkcl sbcl scl.
    Big thanks to Elias Pipping for this significant contribution!
  * parameter-error, not-implemented-error: new UIOP functions to better signal
    abuse of parameters in function calls, or lack of function implementation.
  * with-deprecation macro in UIOP signals style-warnings, then warnings,
    then errors when deprecated functions are used. This macro is now used
    for all deprecated functions in ASDF.
  * require-system, component-loaded-p fixed to not reload .asd files,
    and to work in presence of preloaded-systems, that are now eagerly loaded.
  * registered-system added as an abstraction for internals and extensions.
  * make-operation is now the only supported way to create an operation;
    calling make-instance directly will raise an error. Update your software!
  * Removal of several obsolete backward-compatible internals:
    if-component-dep-fails, operation-forced. Update SLIME!
  * Robustness and portability fixes all around uiop, notably dealing with
    directory access, bundles on ECL and MKCL or with cffi-toolchain,
    dealing with a fatal-condition, surviving use of "logical" pathnames, etc.
  * Tests improved and extensively run on Linux, macOS and, notably, Windows,
    with recent versions of all the maintained CL implementations.
  * Internals of ASDF systematically cleaned up and documented.
  * Build, test, release infrastructure improved, both classic and asdf-tools.
  * Documentation updated.

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 10.
  * Drop Recommends on common-lisp-controller, which is obsolete.
  * Fix Vcs-* fields.
  * d/watch: bump to format version 4, use https.
  * d/copyright: use secure URL for Format field, drop wrong link to Expat file.
  * Drop packaging information from README.Debian.
  * Drop d/upstream/signing-key.asc, since upstream tarball is unsigned.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Oct 2017 18:56:23 +0200

## cl-asdf 3.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # your normal CL source registry. Otherwise, it will use local copies of
 # everything.
 
-system	 	:= "asdf"
+system		:= "asdf"
 webhome_private := common-lisp.net:/project/asdf/public_html/
 webhome_public	:= "http://common-lisp.net/project/asdf/"
 clnet_home      := "/project/asdf/public_html/"
@@ -36,6 +36,7 @@
 #$(info $$version is [${version}])
 version := $(patsubst "%",%,$(version))
 #$(info $$version is [${version}])
+fullversion := $(shell git describe --tags --match "[0-9][.][0-9]*" 2> /dev/null || echo $(version))
 
 ## grep for #+/#- features in the test/ directory to see plenty of disabled tests on some platforms
 ## NOT SUPPORTED BY OUR AUTOMATED TESTS:
@@ -52,8 +53,14 @@
 export CL_SOURCE_REGISTRY = ${ASDF_DEVEL_SOURCE_REGISTRY}
 endif
 else # no ASDF_DEVEL_SOURCE_REGISTRY
-export CL_SOURCE_REGISTRY = ${sourceDirectory}/:${sourceDirectory}/uiop/:${sourceDirectory}/ext//:
-endif
+export CL_SOURCE_REGISTRY = ${sourceDirectory}/:${sourceDirectory}/uiop/:${sourceDirectory}/ext//
+endif
+#$(error "CL_SOURCE_REGISTRY is ${CL_SOURCE_REGISTRY}")
+sys := $(shell uname -s)
+ifneq (,$(findstring CYGWIN,$(sys)))
+CL_SOURCE_REGISTRY := $(shell cygpath -pw "${CL_SOURCE_REGISTRY}")
+endif
+
 
 l ?= sbcl
 
@@ -72,9 +79,11 @@
 XCL ?= xcl
 
 header_lisp := header.lisp
-driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/run-program.lisp uiop/lisp-build.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
-defsystem_lisp := upgrade.lisp component.lisp system.lisp cache.lisp find-system.lisp find-component.lisp operation.lisp action.lisp lisp-action.lisp plan.lisp operate.lisp output-translations.lisp source-registry.lisp parse-defsystem.lisp bundle.lisp concatenate-source.lisp package-inferred-system.lisp backward-internals.lisp backward-interface.lisp interface.lisp user.lisp footer.lisp
+driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/version.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/lisp-build.lisp uiop/launch-program.lisp uiop/run-program.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
+defsystem_lisp := upgrade.lisp session.lisp component.lisp operation.lisp system.lisp system-registry.lisp action.lisp lisp-action.lisp find-component.lisp forcing.lisp plan.lisp operate.lisp find-system.lisp parse-defsystem.lisp bundle.lisp concatenate-source.lisp package-inferred-system.lisp output-translations.lisp source-registry.lisp backward-internals.lisp backward-interface.lisp interface.lisp user.lisp footer.lisp
 all_lisp := $(header_lisp) $(driver_lisp) $(defsystem_lisp)
+
+print-%  : ; @echo $* = $($*)
 
 # Making ASDF itself should be our first, default, target:
 build/asdf.lisp: $(all_lisp)
@@ -110,24 +119,26 @@
 # FIXME: needs rewrite
 #archive: build/asdf.lisp
 #	./bin/asdf-builder make-and-publish-archive
+
 archive: build/asdf.lisp
-	mkdir -p build/uiop 	# UIOP tarball
-	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} build/uiop/
-	tar zcf "build/uiop-${version}.tgz" -C build uiop
-	rm -r build/uiop
-	mkdir -p build/asdf # asdf-defsystem tarball
-	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/asdf/
-	tar zcf "build/asdf-defsystem-${version}.tgz" -C build asdf
-	rm -r build/asdf
-	git archive --worktree-attributes --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
+	$(eval UIOPDIR := "uiop-$(version)")
+	mkdir -p build/$(UIOPDIR) 	# UIOP tarball
+	cp -pHux uiop/README.md uiop/uiop.asd uiop/asdf-driver.asd ${driver_lisp} uiop/contrib/debug.lisp build/$(UIOPDIR)
+	tar zcf "build/uiop-${version}.tar.gz" -C build $(UIOPDIR)
+	rm -r build/$(UIOPDIR)
+	$(eval ASDFDIR := "asdf-$(version)")
+	mkdir -p build/$(ASDFDIR) # asdf-defsystem tarball
+	cp -pHux build/asdf.lisp asdf.asd version.lisp-expr header.lisp README.md ${defsystem_lisp} build/$(ASDFDIR)
+	tar zcf "build/asdf-defsystem-${version}.tar.gz" -C build $(ASDFDIR)
+	rm -r build/$(ASDFDIR)
+	git archive --worktree-attributes --prefix="asdf-$(version)/" --format=tar -o "build/asdf-${version}.tar" ${version} #asdf-all tarball
 	gzip "build/asdf-${version}.tar"
-	mv "build/asdf-${version}.tar.gz" "build/asdf-${version}.tgz"
 	cp "build/asdf.lisp" "build/asdf-${version}.lisp"
 
 publish-archive:
-	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tgz" "build/asdf-defsystem-${version}.tgz" \
-"build/asdf-${version}.tgz" "build/asdf-${version}.lisp" common-lisp.net:/project/asdf/public_html/archives
-	ssh common-lisp.net "cd /project/asdf/public_html; ln -sf archives/uiop-${version}.tgz uiop.tgz; ln -sf archives/asdf-defsystem-${version}.tgz asdf-defsystem.tgz; ln -sf archives/asdf-${version}.tgz asdf.tgz; ln -sf archives/asdf-${version}.lisp asdf.lisp"
+	rsync --times --chmod=a+rX,ug+w "build/uiop-${version}.tar.gz" "build/asdf-defsystem-${version}.tar.gz" \
+"build/asdf-${version}.tar.gz" "build/asdf-${version}.lisp" common-lisp.net:/project/asdf/public_html/archives/
+	ssh common-lisp.net "cd /project/asdf/public_html/archives/; ln -sf uiop-${version}.tar.gz uiop.tar.gz; ln -sf asdf-defsystem-${version}.tar.gz asdf-defsystem.tar.gz; ln -sf asdf-${version}.tar.gz asdf.tar.gz; ln -sf asdf-${version}.lisp asdf.lisp"
 
 ### Count lines separately for asdf-driver and asdf itself:
 wc:
@@ -164,30 +175,35 @@
 			  -and -not -path \""*/tags/*"\" -print -delete; \
 		done; \
 	     fi; \
+	    echo "Cleaned $$dir"; \
 	done
+	echo "Done with cleaning loop."
 	rm -rf build/ LICENSE test/try-reloading-dependency.asd test/hello-world-example asdf.lisp
 	rm -rf test/hello-world-example.exe test/mkcl_*.dll # needed only on MS-Windows
-	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap
 	${MAKE} -C doc clean
 
 mrproper:
 	git clean -xfd
 
-test-upgrade: build/asdf.lisp
+test-upgrade: build/asdf.lisp show-version
 	./test/run-tests.sh -u ${l}
 u: test-upgrade
 
-test-clean-load: build/asdf.lisp
+test-clean-load: build/asdf.lisp show-version
 	./test/run-tests.sh -c ${l}
 
+show-version:
+	@echo "Building and testing asdf $(fullversion)"
+
 # test-glob has been replaced by t, and lisp by l, easier to type
-test-lisp: build/asdf.lisp
+test-lisp: build/asdf.lisp show-version
 	@cd test; ./run-tests.sh ${l} ${t}
+
 t: test-lisp
 
 test: doc test-lisp test-clean-load test-load-systems
 
-test-load-systems: build/asdf.lisp
+test-load-systems: build/asdf.lisp show-version
 	./test/run-tests.sh -l ${l} ${s}
 
 test-all-lisps: test-load-systems test-all-clean-load test-all-lisp test-all-upgrade
@@ -264,7 +280,7 @@
 
 release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists
 
-.PHONY: install archive push doc website clean mrproper \
+.PHONY: install archive push doc website clean mrproper show-version \
 	test-forward-references test test-lisp test-upgrade test-forward-references \
 	test-all test-all-lisps test-all-no-upgrade \
 	debian-package release \

=== debian/changelog ===
cl-asdf (2:3.3.1-1) unstable; urgency=medium

  New upstream release 3.3.1:

  * UIOP compatibility fix: Introduced new replacement "timestamp"
    comparison functions, because of inadvertent change in the
    API. Functions that are compatible with the old semantics are retained
    as "stamp" comparison functions, but will eventually be deprecated.
  * Upgrade fix: Upgrade from 3.2.1 needed repair.
  * Syntax manipulation: Fix for bugs that could be introduced when the
    default readtable was manipulated during the loading of a
    defsystem-depends-on system.
  * Tests: tests for new capabilities and bugs
  * Documentation: a number of improvements and clarifications.

 -- Kambiz Darabi <darabi@m-creations.net>  Tue, 14 Nov 2017 23:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,16 @@
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Homepage: http://common-lisp.net/project/asdf/
-Vcs-Git: https://gitlab.common-lisp.net/asdf/asdf.git
-Vcs-Browser: https://gitlab.common-lisp.net/asdf/asdf
+Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/cl-asdf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/cl-asdf.git
 
 Package: cl-asdf
 Architecture: all
-Recommends: common-lisp-controller, sbcl | lisp-compiler
-Breaks: common-lisp-controller (<= 7.3)
+Recommends: sbcl | lisp-compiler
 Depends: ${misc:Depends}
 Suggests: cl-launch (>= 4.1)
 Description: Another System Definition Facility

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C doc all
	ln -sf build/asdf.lisp .

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/tools/asdf-tools

# Extensive tests are performed before release of the orig.tgz on
# different Common Lisp implementations.
#
# Testing asdf on Debian should include testing with all Common Lisp
# implementations which are available on Debian and requires Debian
# packaging of all libraries which are used during testing.
#
# This is a definitely a goal for the future, but beyond the scope of
# the current package maintainer.
#
# See also: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=809308#29
#
override_dh_auto_test:

# do not invoke make install: it tries to upload the tarball to
# common-lisp.net
override_dh_auto_install:

## cl-asdf 3.3.2

=== debian/changelog ===
cl-asdf (2:3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete README.building.
  * Update d/copyright.
  * Add an autopkgtest that verifies that ASDF is able to upgrade itself
    in sbcl, ecl and clisp.
  * Bump to debhelper compat level 11.
  * Bump S-V to 4.1.4.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 May 2018 22:48:30 +0200

cl-asdf (2:3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Use secure URL for Homepage in d/control and d/copyright.
  * Register info file into doc-base.
  * Update Vcs-* fields for move to salsa.
  * Ship the HTML manual in the one-page format (easier to search).
  * Ship TODO and best_practices.md. Rename uiop/README.md so that it does not
    override the main README.md.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Apr 2018 22:01:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cl-asdf
 Section: lisp
 Priority: optional
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
   Milan Zamazal <pdm@zamazal.org>,
   Christoph Egger <christoph@debian.org>,
@@ -9,12 +9,12 @@
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 4.1.1
-Homepage: http://common-lisp.net/project/asdf/
-Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/cl-asdf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/cl-asdf.git
+Standards-Version: 4.1.4
+Homepage: https://common-lisp.net/project/asdf/
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
+Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
 
 Package: cl-asdf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,8 @@
 # common-lisp.net
 override_dh_auto_install:
 
+override_dh_installdocs:
+	dh_installdocs
+	# Rename uiop/README.md to avoid overriding the main README.md
+	mv debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/README.md \
+		debian/cl-asdf/usr/share/doc/cl-asdf/README-uiop.md

## cl-asdf 3.3.3

=== uiop/doc/Makefile ===
uiop := uiop
ifeq (${user},)
userat :=
else
userat := ${user}@
endif
website:=${userat}common-lisp.net:/project/asdf/public_html/
output = ${uiop}.html ${uiop}.pdf
webfiles = ${output}

.PHONY: clean html pdf include clean-include clean-crap info doc texinfo website

website: all
	rsync -lt --no-g ${webfiles} ${website}

all: pdf html info clean-crap

clean-include:
	rm -rf include

clean-crap:
	rm -f *.aux *.cp *.fn *.fns *.ky *.log *.pg *.toc *.tp *.tps *.vr *.vrs

clean: clean-include
	rm -rf  *.pdf *.html *.info ${uiop}.texinfo ${uiop} *.fasl

fasl: docstrings.lisp
	sbcl --no-userinit --eval '(require :asdf)' \
	--eval '(compile-file "docstrings.lisp")' \
	--eval '(quit)'

include: fasl
	sbcl --no-userinit --eval '(require :asdf)' \
	--load docstrings \
	--eval '(sb-texinfo:generate-includes "include/" (list :UIOP/PACKAGE :UIOP/COMMON-LISP :UIOP/UTILITY :UIOP/VERSION :UIOP/OS :UIOP/PATHNAME :UIOP/FILESYSTEM :UIOP/STREAM :UIOP/IMAGE :UIOP/LISP-BUILD :UIOP/LAUNCH-PROGRAM :UIOP/RUN-PROGRAM :UIOP/CONFIGURATION :UIOP/BACKWARD-DRIVER))' \
	--eval '(quit)'

texinfo : include
	sbcl --no-userinit --eval '(require :asdf)' \
	--load docstrings \
	--eval "(sb-texinfo:complete-texinfo-template \"template.texinfo\" \"${uiop}.texinfo\" \"include/\")" \
	--eval '(quit)'

pdf: texinfo
	texi2pdf ${uiop}.texinfo

html: texinfo
	makeinfo --html --no-split ${uiop}.texinfo

htmls: texinfo
	makeinfo --html ${uiop}.texinfo

info: texinfo
	makeinfo ${uiop}.texinfo

=== debian/changelog ===
cl-asdf (2:3.3.3-4) unstable; urgency=medium

  * Team upload
  * sbcl-2.0.1.patch: new patch, fixes compilation failure against SBCL 2.0.1
    (Closes: #950235)
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jan 2020 20:16:03 +0100

cl-asdf (2:3.3.3-3) unstable; urgency=medium

  * Team upload
  * Build-Depend on texlive-plain-generic, instead of obsolete
    texlive-generic-recommended (Closes: #941515)
  * Bump S-V to 4.4.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 00:53:15 +0200

cl-asdf (2:3.3.3-2) unstable; urgency=medium

  * Team upload
  * Fix clash in doc-base document IDs. (Closes: #933924)
  * Bump to S-V 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 20 Aug 2019 14:25:39 +0200

cl-asdf (2:3.3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: reflect upstream changes
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Remove Julien Danjou from the list of Uploaders (Closes: #928570)
  * Bump to S-V 4.3.0
  * Ship new UIOP manual

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Jul 2019 15:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,20 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
   Milan Zamazal <pdm@zamazal.org>,
   Christoph Egger <christoph@debian.org>,
-  Julien Danjou <acid@debian.org>,
   François-René Rideau <fare@tunes.org>,
   Robert P. Goldman <rpgoldman@sift.info>,
   Kambiz Darabi <darabi@m-creations.net>
-Build-Depends: debhelper (>= 11)
-Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12),
+               texinfo,
+               texlive-extra-utils,
+               texlive,
+               texlive-plain-generic,
+               sbcl
+Standards-Version: 4.5.0
 Homepage: https://common-lisp.net/project/asdf/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
+Rules-Requires-Root: no
 
 Package: cl-asdf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_build:
 	$(MAKE)
 	$(MAKE) -C doc all
+	$(MAKE) -C uiop/doc all
 	ln -sf build/asdf.lisp .
 
 override_dh_fixperms:
@@ -33,6 +34,11 @@
 # common-lisp.net
 override_dh_auto_install:
 
+override_dh_install:
+	dh_install
+	rm -r debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/uiop/doc/
+	rm debian/cl-asdf/usr/share/common-lisp/source/cl-asdf/contrib/fiveam-asdf/license.txt
+
 override_dh_installdocs:
 	dh_installdocs
 	# Rename uiop/README.md to avoid overriding the main README.md
